# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/gpu/aspeed,ast2400-gfx.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ASPEED GFX Display Controller

maintainers:
  - Joel Stanley <joel@jms.id.au>

properties:
  compatible:
    items:
      - enum:
          - aspeed,ast2400-gfx
          - aspeed,ast2500-gfx
          - aspeed,ast2600-gfx
      - const: syscon

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  resets:
    maxItems: 1

  interrupts:
    maxItems: 1

  memory-region:
    maxItems: 1
    description:
      a reserved-memory region to use for the framebuffer.

  syscon:
    $ref: /schemas/types.yaml#/definitions/phandle
    description: Phandle to SCU

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - resets
  - memory-region

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/aspeed-clock.h>

    display@1e6e6000 {
        compatible = "aspeed,ast2500-gfx", "syscon";
        reg = <0x1e6e6000 0x1000>;
        clocks = <&syscon ASPEED_CLK_GATE_D1CLK>;
        resets = <&syscon ASPEED_RESET_CRT1>;
        interrupts = <0x19>;
        memory-region = <&gfx_memory>;
    };
